scim_keyevent_data.h File Reference

## Macros

#define | SCIM_NUM_KEY_UNICODES (sizeof (__scim_key_to_unicode_tab) / sizeof (__scim_key_to_unicode_tab[0]))
#define | SCIM_NUM_KEY_NAMES (sizeof (__scim_keys_by_code) / sizeof (__scim_keys_by_code [0]))
#define | SCIM_NUM_KEY_MASKS (sizeof (__scim_key_mask_names) / sizeof (__scim_key_mask_names[0]))

## Variables

static __Uint16Pair | __scim_key_to_unicode_tab []
static __KeyName | __scim_keys_by_code []
static __KeyName | __scim_keys_by_name []
static __KeyName | __scim_key_mask_names []

## Macro Definition Documentation

## SCIM_NUM_KEY_UNICODES

#define SCIM_NUM_KEY_UNICODES (sizeof (__scim_key_to_unicode_tab) / sizeof (__scim_key_to_unicode_tab[0]))

## SCIM_NUM_KEY_NAMES

#define SCIM_NUM_KEY_NAMES (sizeof (__scim_keys_by_code) / sizeof (__scim_keys_by_code [0]))

## SCIM_NUM_KEY_MASKS

#define SCIM_NUM_KEY_MASKS (sizeof (__scim_key_mask_names) / sizeof (__scim_key_mask_names[0]))

## Variable Documentation

## __scim_key_to_unicode_tab

__Uint16Pair __scim_key_to_unicode_tab[]

static

## __scim_keys_by_code

__KeyName __scim_keys_by_code[]

static

## __scim_keys_by_name

__KeyName __scim_keys_by_name[]

static

## __scim_key_mask_names

__KeyName __scim_key_mask_names[]

static

Initial value:
=
{
{SCIM_KEY_ShiftMask, "Shift"},
{SCIM_KEY_CapsLockMask, "CapsLock"},
{SCIM_KEY_ControlMask, "Control"},
{SCIM_KEY_AltMask, "Alt"},
{SCIM_KEY_MetaMask, "Meta"},
{SCIM_KEY_SuperMask, "Super"},
{SCIM_KEY_HyperMask, "Hyper"},
{SCIM_KEY_NumLockMask, "NumLock"},
{SCIM_KEY_QuirkKanaRoMask, "QuirkKanaRo"},
{SCIM_KEY_ReleaseMask, "KeyRelease"}
}
scim::SCIM_KEY_NumLockMask
@ SCIM_KEY_NumLockMask
Definition scim_event.h:60
scim::SCIM_KEY_HyperMask
@ SCIM_KEY_HyperMask
Definition scim_event.h:59
scim::SCIM_KEY_ReleaseMask
@ SCIM_KEY_ReleaseMask
Definition scim_event.h:72
scim::SCIM_KEY_AltMask
@ SCIM_KEY_AltMask
Definition scim_event.h:56
scim::SCIM_KEY_ControlMask
@ SCIM_KEY_ControlMask
Definition scim_event.h:55
scim::SCIM_KEY_SuperMask
@ SCIM_KEY_SuperMask
Definition scim_event.h:58
scim::SCIM_KEY_MetaMask
@ SCIM_KEY_MetaMask
Definition scim_event.h:57
scim::SCIM_KEY_QuirkKanaRoMask
@ SCIM_KEY_QuirkKanaRoMask
Definition scim_event.h:70